PHP ��U
前一頁 |  | 下一頁

# gzgets

(PHP 3, PHP 4, PHP 5)

gzgets -- Get line from file pointer

## Description

string gzgets ( resource zp, int length )

Gets a (uncompressed) string of up to length - 1 bytes read from the given file pointer. Reading ends when length - 1 bytes have been read, on a newline, or on EOF (whichever comes first).

## Parameters

zp

  The gz-file pointer. It must be valid, and must point to a file successfully opened by gzopen().

length

  The length of data to get.

## Return Values

The uncompressed string, or `FALSE` on error.

## �d��

範例 1. gzgets() example

`<?php $handle = gzopen('somefile.gz', 'r'); while (!gzeof($handle)) { $buffer = gzgets($handle, 4096); echo $buffer; } gzclose($handle); ?>`

## �Ѧ�

gzopen()
gzgetc()
gzwrite()

前一頁 | 內容 | 下一頁
gzgetc | 上一層 | gzgetss